#include <opencv2/imgproc/imgproc.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/core/core.hpp>

#include <iostream>

int main( int argc, const char** argv )
{
    using namespace cv;


    IplImage *img = cvCreateImage(cvSize(100, 100), IPL_DEPTH_8U, 3);
    cv::Mat matImg(cv::Mat::ones(10,10,CV_8UC1));

    std::cout << img->width <<img->height << std::endl;
    std::cout << img->imageData <<img->height << std::endl;

    std::cout << matImg.cols << std::endl;

    cv::Mat rowSum(cv::Mat::zeros(1, matImg.cols,CV_8UC1));
    std::cout << rowSum << std::endl;

    reduce(matImg,rowSum,0,CV_REDUCE_SUM,1);

    std::cout << rowSum << std::endl;
    return 0;
}
